Bug 88770 - Software raid constantly out of sync
Software raid constantly out of sync
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-13 16:41 EDT by Zenon Panoussis
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zenon Panoussis 2003-04-13 16:41:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:

I run Phoebe (8.0.93 and 8.0.94) on an athlon with three RAID1 partitions across
two drives. Everything run smoothly.

I upgraded that installation to Shrike a week ago. Ever since, my drives have
been crunching for long streches and the system log is full of messages like 
Apr 13 21:18:41 pig kernel: raid1: raid set md2 not clean; reconstructing mirrors
This happened invariably after heavy write activity, like massive copying of
data, but sometimes also after moderate writing.

A rumour in IRC-land has it that kernel-2.4.20-8 can't manage the combination of
ext3 and software raid. I was not able to find any official RH confirmation, but
downgraded to kernel-2.4.18-14.athlon anyway. 

The crunching is gone. The error messages are gone. Everything works smoothly
again. Heavy copying has no abnormal side-effects whatsoever. I can only draw
the conclusion that the problem was not in my hardware or configuration and that
the rumour is probably correct.



Version-Release number of selected component (if applicable):
kernel-2.4.20-8.i386

How reproducible:
Didn't try (fear loss of data)
Comment 1 Bugzilla owner 2004-09-30 11:40:47 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.